Package org.eclipse.ui.internal

# Class CycleEditorHandler

java.lang.Object
org.eclipse.core.commands.common.EventManager
org.eclipse.core.commands.AbstractHandler
org.eclipse.ui.internal.FilteredTableBaseHandler
org.eclipse.ui.internal.CycleEditorHandler

All Implemented Interfaces:
  `IHandler`, `IHandler2`, `IExecutableExtension`

public class CycleEditorHandler extends FilteredTableBaseHandler
This is the handler for NextEditor and PrevEditor commands.

Replacement for CycleEditorAction

Since:
  3.3

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.ui.internal.FilteredTableBaseHandler

`FilteredTableBaseHandler.FilteredTableItem`

## Field Summary

### Fields inherited from class org.eclipse.ui.internal.FilteredTableBaseHandler

`commandBackward, commandForward, dialog, gotoDirection, page, result, window`

## Constructor Summary

Constructors
Constructor
Description
`CycleEditorHandler()`

## Method Summary

Modifier and Type
Method
Description
`protected ParameterizedCommand`
`getBackwardCommand()`
Get the backward command.
`protected ParameterizedCommand`
`getForwardCommand()`
Get the forward command.
`protected Object`
`getInput(WorkbenchPage page)`
Add all items to the dialog in the activation order
`protected String`
`getTableHeader(IWorkbenchPart activePart)`
Get TableHeader, return title for non-filtered lists.

### Methods inherited from class org.eclipse.ui.internal.FilteredTableBaseHandler

`activate, addKeyListener, addKeyListener, addModifyListener, addMouseListener, addTraverseListener, cancel, clearTriggers, execute, getBackground, getBackwardTriggerSequences, getColumnLabelProvider, getCurrentItemIndex, getFilter, getForeground, getForwardTriggerSequences, getSelection, getTriggers, getWindow, getWorkbenchPartReferenceText, isFiltered, keepOpen, ok, openDialog, setDialogLocation, setInitializationData, setLabelProvider, setMatcherString`

### Methods inherited from class org.eclipse.core.commands.AbstractHandler

`addHandlerListener, dispose, fireHandlerChanged, hasListeners, isEnabled, isHandled, removeHandlerListener, setBaseEnabled, setEnabled`

### Methods inherited from class org.eclipse.core.commands.common.EventManager

`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.core.commands.IHandler

`getHandlerLabel`

## Constructor Details

### CycleEditorHandler

public CycleEditorHandler()

## Method Details

### getInput

protected Object getInput(WorkbenchPage page)
Description copied from class: `FilteredTableBaseHandler`
Add all items to the dialog in the activation order

Specified by:
  `getInput` in class `FilteredTableBaseHandler`

### getBackwardCommand

protected ParameterizedCommand getBackwardCommand()
Description copied from class: `FilteredTableBaseHandler`
Get the backward command.

Specified by:
  `getBackwardCommand` in class `FilteredTableBaseHandler`

### getForwardCommand

protected ParameterizedCommand getForwardCommand()
Description copied from class: `FilteredTableBaseHandler`
Get the forward command.

Specified by:
  `getForwardCommand` in class `FilteredTableBaseHandler`

### getTableHeader

protected String getTableHeader(IWorkbenchPart activePart)
Description copied from class: `FilteredTableBaseHandler`
Get TableHeader, return title for non-filtered lists. By default returns an empty String. Subclasses can use the active part to detect the type of object.

Overrides:
  `getTableHeader` in class `FilteredTableBaseHandler`
Parameters:
  `activePart` - may be used in overrides